%define Build_FC1 %(if [ -f /etc/fedora-release ] && [ "`rpm -q --qf=%%{version} fedora-release`" = "1" ]; then echo 1; else echo 0; fi)
%define Build_CentOS3 %(if [ -f /etc/redhat-release ] && [ "`rpm -q --qf=%%{version} centos-release`" = "3" ]; then echo 1; else echo 0; fi)
%define Build_CentOS4 %(if [ -f /etc/redhat-release ] && [ "`rpm -q --qf=%%{version} centos-release`" = "4" ]; then echo 1; else echo 0; fi)
%define Build_CentOS5 %(if [ -f /etc/redhat-release ] && [ "`rpm -q --qf=%%{version} centos-release`" = "5" ]; then echo 1; else echo 0; fi)
%define Build_CentOS6 %(if [ -f /etc/redhat-release ] && [ "`rpm -q --qf=%%{version} centos-release`" = "6" ]; then echo 1; else echo 0; fi)
%define Build_CentOS6 %(if [ -f /etc/redhat-release ] && [ "`rpm -q --qf=%%{version} redhat-release`" = "6" ]; then echo 1; else echo 0; fi)

# $Revision: 1.3 $, $Date: 2004/03/09 13:44:37 $
Summary:	A gateway for more secure user access to CGI scripts
Summary(pl):	Bramka do bezpieczniejszego dost?u u?ytkownik? do skrypt? CGI
Name:		cgiwrap
Version:	4.1
Release:	1BX01
License:	GPL
Group:		Utilities
Source0:	http://dl.sourceforge.net/cgiwrap/%{name}-%{version}.tar.gz
# Source0-md5:	0f9c88802658f45231ee463c351bd2a7
Source1:	cgiwrap-bluequartz.conf
Patch0:		cgiwrap-bluequartz.patch
Patch1:		cgiwrap-free.patch
URL:		http://cgilib.sourceforge.net/
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_cgibindir	/usr/cgiwrap

%description
A gateway that allows more secure user access to CGI programs on an
HTTPd server than is provided by the http server itself. The primary
function of CGIwrap is to make certain that any CGI script runs with
the permissions of the user who installed it, and not those of the
server.

%description -l pl
Bramka pozwalaj?ca na bardziej bezpieczny dost? u?ytkownik? do
program? CGI na serwerze HTTP ni? ten udost?niany przez sam serwer
HTTP. G??na funkcja CGIwrap to upewnienie si? ?e skrypt CGI dzia?a z
uprawnieniami u?ytkownika, kt?y go zainstalowa?, a nie serwera.

%prep
%setup -q

%patch0 -p1 -b .bluequartz
%patch1 -p1

%build
%if %{Build_CentOS4}
install %{_datadir}/automake-1.9/config.* .
%endif
%if %{Build_CentOS3}
install %{_datadir}/automake-1.6/config.* .
%endif
%if %{Build_FC1}
install %{_datadir}/automake-1.7/config.* .
%endif

%configure \
	--with-perl=%{_bindir}/perl \
	--with-php=%{_bindir}/php \
	--with-local-contact-name=Administrator \
	--with-local-contact-email=admin \
	--with-httpd-user=apache \
	--with-minimum-uid=500 \
	--with-minimum-gid=100 \
	--without-check-group-writable \
	--without-check-group \
	--with-install-dir=/usr/cgiwrap \
	--with-cgi-dir=web
#	--with-allow-file=%{_sysconfdir}/cgiwrap/cgiwrap.allow \
#	--with-deny-file=%{_sysconfdir}/cgiwrap/cgiwrap.deny

%{__make} CFLAGS="-D__cobalt"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_cgibindir}

install cgiwrap $RPM_BUILD_ROOT%{_cgibindir}
ln -s cgiwrap $RPM_BUILD_ROOT%{_cgibindir}/cgiwrapd
ln -s cgiwrap $RPM_BUILD_ROOT%{_cgibindir}/nph-cgiwrap
ln -s cgiwrap $RPM_BUILD_ROOT%{_cgibindir}/nph-cgiwrapd
ln -s cgiwrap $RPM_BUILD_ROOT%{_cgibindir}/php-cgiwrap
ln -s cgiwrap $RPM_BUILD_ROOT%{_cgibindir}/php-cgiwrapd

install -d $RPM_BUILD_ROOT/etc/httpd/conf.d
install %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/conf.d/cgiwrap.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc htdocs/*
%attr(4755,root,root) %{_cgibindir}/*
/etc/httpd/conf.d/cgiwrap.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* Mon Jun 14 2010 Michael Stauber <mstauber@blueonyx.it> 4.1-1BX01
- Update to 4.1 for 5107R/5108R

* Fri Jun 23 2006 Hisao SHIBUYA <shibuya@alpha.or.jp> 3.9-1BQ6
- fix the issue that cgi doesn't work for user with '-'.

* Sun Jul 03 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 3.9-1BQ5
- added codes to support for CentOS3

* Sun Jul 03 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 3.9-1BQ4
- added codes to support multi distributions.

* Wed Feb 02 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 3.9-1BQ3
- build with automake-1.6

* Tue Apr 06 2004 Hisao SHIBUYA <shibuya@alpha.or.jp> 3.9-1BQ2
- inclement release no

* Sun Apr 04 2004 Hisao SHIBUYA <shibuya@alpha.or.jp> 3.9-1BQ1
- build for Blue Quartz 5100R

- PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cgiwrap.spec,v $
Revision 1.3  2004/03/09 13:44:37  mwinkler
- remove duplicated line

Revision 1.2  2004/03/08 17:45:06  qboosh
- pl, use macro for cgi-bin dir

Revision 1.1  2004/03/07 08:37:03  arekm
- almost finished, new
